## kpeople 5.18.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)

project (KPeople)

include(FeatureSummary)
find_package(ECM 5.18.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://projects.kde.org/projects/kdesupport/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

set(KF5_VERSION "5.18.0") # handled by release scripts
set(KF5_DEP_VERSION "5.18.0") # handled by release scripts

set(REQUIRED_QT_VERSION 5.3.0)

find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Gui Sql DBus Widgets Qml)

find_package(KF5CoreAddons ${KF5_DEP_VERSION} CONFIG REQUIRED)
find_package(KF5WidgetsAddons ${KF5_DEP_VERSION} CONFIG REQUIRED)
find_package(KF5I18n ${KF5_DEP_VERSION} CONFIG REQUIRED)
find_package(KF5ItemViews ${KF5_DEP_VERSION} CONFIG REQUIRED)
find_package(KF5Service ${KF5_DEP_VERSION} CONFIG REQUIRED)

include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMSetupVersion)
include(ECMAddTests)
include(ECMPackageConfigHelpers)
include(ECMGeneratePriFile)
include(GenerateExportHeader)

include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings)
include(KDECMakeSettings)

add_definitions(-DTRANSLATION_DOMAIN=\"kpeople5\")

set(CMAKECONFIG_INSTALL_DIR "${CMAKECONFIG_INSTALL_PREFIX}/KF5People")

ecm_setup_version(${KF5_VERSION} VARIABLE_PREFIX KPEOPLE
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kpeople_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5PeopleConfigVersion.cmake"
                        SOVERSION 5)

ecm_configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF5PeopleConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5PeopleConfig.cmake"
  INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
)

option(ENABLE_EXAMPLES "Build the examples" "ON")

if (IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/po")
    ki18n_install(po)
endif ()
add_subdirectory (src)
add_subdirectory (pixmaps)
if (ENABLE_EXAMPLES)
  add_subdirectory(examples)
endif()
add_subdirectory(autotests)

install(EXPORT KPeopleTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KPeopleTargets.cmake NAMESPACE KF5::)
install(FILES  "${CMAKE_CURRENT_BINARY_DIR}/KF5PeopleConfig.cmake"
               "${CMAKE_CURRENT_BINARY_DIR}/KF5PeopleConfigVersion.cmake"
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel )

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

## kpeople 5.9.0

=== debian/changelog ===
kpeople (5.9.0-0ubuntu1) vivid; urgency=medium

  [ Harald Sitter ]
  * Refine dev package to depend on all create libraries as the cmake
    package will expect them all.

  [ Scarlett Clark ]
  * New upstream release

  [ Jonathan Riddell ]
  * Add upstream_rename-tranlations.diff to fix translations

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 13 Apr 2015 22:30:51 +0200

kpeople (5.8.0-0ubuntu1) vivid; urgency=medium

  * Initial release.

 -- Harald Sitter <sitter@kde.org>  Tue, 17 Mar 2015 15:41:05 +0100

=== debian/control ===
Source: kpeople
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Build-Depends: cmake,
               debhelper (>= 9.0.0),
               extra-cmake-modules (>= 1.7.0),
               libkf5coreaddons-dev,
               libkf5i18n-dev,
               libkf5itemviews-dev,
               libkf5service-dev,
               libkf5widgetsaddons-dev,
               pkg-kde-tools,
               qtbase5-dev,
               qtdeclarative5-dev
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/frameworks/kpeople
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/frameworks/kpeople.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/kpeople.git

Package: libkf5people-dev
Section: libdevel
Architecture: any
Depends: libkf5people5 (= ${binary:Version}),
         libkf5peoplebackend5 (= ${binary:Version}),
         libkf5peoplewidgets5 (= ${binary:Version}),
         ${misc:Depends}
Description: development files for kpeople
 KPeople offers unified access to our contacts from different sources, grouping
 them by person while still exposing all the data.
 .
 Furthermore, KPeople will also provide facilities to integrate the data
 provided in user interfaces by providing QML and Qt Widgets components.
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains the development files.

Package: libkf5people-data
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: foreign
Description: data files for kpeople
 KPeople offers unified access to our contacts from different sources, grouping
 them by person while still exposing all the data.
 .
 Furthermore, KPeople will also provide facilities to integrate the data
 provided in user interfaces by providing QML and Qt Widgets components.
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains the data files.

Package: libkf5peoplebackend5
Architecture: any
Multi-Arch: same
Depends: libkf5people-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: framework providing unified access to contacts aggregated by person
 KPeople offers unified access to our contacts from different sources, grouping
 them by person while still exposing all the data.
 .
 Furthermore, KPeople will also provide facilities to integrate the data
 provided in user interfaces by providing QML and Qt Widgets components.
 .
 This package is part of KDE Frameworks 5.

Package: libkf5peoplewidgets5
Architecture: any
Multi-Arch: same
Depends: libkf5people-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: framework providing unified access to contacts aggregated by person
 KPeople offers unified access to our contacts from different sources, grouping
 them by person while still exposing all the data.
 .
 Furthermore, KPeople will also provide facilities to integrate the data
 provided in user interfaces by providing QML and Qt Widgets components.
 .
 This package is part of KDE Frameworks 5.

Package: qml-module-org-kde-people
Architecture: any
Multi-arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: framework providing unified access to contacts aggregated by person
 KPeople offers unified access to our contacts from different sources, grouping
 them by person while still exposing all the data.
 .
 Furthermore, KPeople will also provide facilities to integrate the data
 provided in user interfaces by providing QML and Qt Widgets components.
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains the QML module.

Package: libkf5people5
Architecture: any
Multi-Arch: same
Depends: libkf5people-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: framework providing unified access to contacts aggregated by person
 KPeople offers unified access to our contacts from different sources, grouping
 them by person while still exposing all the data.
 .
 Furthermore, KPeople will also provide facilities to integrate the data
 provided in user interfaces by providing QML and Qt Widgets components.
 .
 This package is part of KDE Frameworks 5.

Package: libkf5people-dbg
Priority: extra
Section: debug
Architecture: any
Multi-Arch: same
Depends: libkf5people5 (= ${binary:Version}), ${misc:Depends}
Description: debug symbols for kpeople
 KPeople offers unified access to our contacts from different sources, grouping
 them by person while still exposing all the data.
 .
 Furthermore, KPeople will also provide facilities to integrate the data
 provided in user interfaces by providing QML and Qt Widgets components.
 .
 This package contains the debug symbols.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbg-package=libkf5people-dbg

.PHONY: override_dh_auto_test

=== debian/watch ===
version=3
http://download.kde.org/unstable/frameworks/([\d\.]*)/kpeople-(.*)\.tar\.xz
http://download.kde.org/stable/frameworks/([\d\.]*)/kpeople-(.*)\.tar\.xz

## kpeople 5.15.0

=== debian/changelog ===
kpeople (5.15.0-0ubuntu1) wily; urgency=medium

  [ Scarlett Clark ]
  * Vivid backport

  [ Jonathan Riddell ]
  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 07 Oct 2015 13:54:24 +0100

kpeople (5.14.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Clive Johnston <clivejo@aol.com>  Thu, 17 Sep 2015 13:24:47 +0100

kpeople (5.13.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 10 Aug 2015 13:27:51 +0200

kpeople (5.12.0-0ubuntu1) wily; urgency=medium

  * New upstream release
  * Fix merge.
  * Vivid backport. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 03 Aug 2015 16:07:43 +0200

kpeople (5.11.0-1) unstable; urgency=medium

  * New upstream release (5.10.0).
  * Remove upstream applied patch: upstream_rename-tranlations.diff
  * New upstream release (5.11.0).

 -- Maximiliano Curia <maxy@debian.org>  Sun, 28 Jun 2015 16:04:17 +0200

kpeople (5.10.0-0ubuntu1) wily; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (5.10.0).
  * Remove upstream applied patch: upstream_rename-tranlations.diff

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 03 Jun 2015 20:32:16 +0200

kpeople (5.9.0-1) experimental; urgency=medium

  * Add breaks/replaces with libkpeople3.
  * New upstream release (5.9.0).

 -- Maximiliano Curia <maxy@debian.org>  Thu, 23 Apr 2015 08:26:01 +0200

kpeople (5.8.0-1) experimental; urgency=medium

  [ Harald Sitter ]
  * Initial release.

  [ Maximiliano Curia ]
  * Prepare initial Debian release.

 -- Maximiliano Curia <maxy@debian.org>  Sun, 22 Mar 2015 11:38:46 +0100

=== debian/control ===
--- 
+++ 
@@ -2,18 +2,22 @@
 Section: libs
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Build-Depends: cmake,
-               debhelper (>= 9.0.0),
-               extra-cmake-modules (>= 1.7.0),
-               libkf5coreaddons-dev,
-               libkf5i18n-dev,
-               libkf5itemviews-dev,
-               libkf5service-dev,
-               libkf5widgetsaddons-dev,
-               pkg-kde-tools,
-               qtbase5-dev,
-               qtdeclarative5-dev
+Uploaders: Maximiliano Curia <maxy@debian.org>
+Build-Depends: cmake (>= 2.8.12~),
+               dbus-x11,
+               debhelper (>= 9),
+               extra-cmake-modules (>= 5.15.0~),
+               libkf5coreaddons-dev (>= 5.15.0~),
+               libkf5i18n-dev (>= 5.15.0~),
+               libkf5itemviews-dev (>= 5.15.0~),
+               libkf5service-dev (>= 5.15.0~),
+               libkf5widgetsaddons-dev (>= 5.15.0~),
+               libqt5sql5-sqlite,
+               pkg-kde-tools (>> 0.15.15),
+               qtbase5-dev (>= 5.4),
+               qtdeclarative5-dev (>= 5.4)
 Standards-Version: 3.9.6
+XS-Testsuite: autopkgtest
 Homepage: https://projects.kde.org/projects/frameworks/kpeople
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/frameworks/kpeople.git
 Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/kpeople.git
@@ -38,8 +42,8 @@
 
 Package: libkf5people-data
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Multi-Arch: foreign
 Description: data files for kpeople
  KPeople offers unified access to our contacts from different sources, grouping
  them by person while still exposing all the data.
@@ -112,8 +116,8 @@
  This package is part of KDE Frameworks 5.
 
 Package: libkf5people-dbg
+Section: debug
 Priority: extra
-Section: debug
 Architecture: any
 Multi-Arch: same
 Depends: libkf5people5 (= ${binary:Version}), ${misc:Depends}

## kpeople 5.18.0

=== debian/changelog ===
kpeople (5.18.0-0ubuntu1) xenial; urgency=medium

  [ Scarlett Clark ]
  * New upstream release Xenial

  [ Philip Muškovac ]
  * New upstream release

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 07 Mar 2016 23:23:55 +0100

kpeople (5.16.0-1) unstable; urgency=medium

  * New upstream release (5.16.0).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 30 Nov 2015 12:12:24 +0100

kpeople (5.15.0-1) unstable; urgency=medium

  * New upstream release (5.15.0).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 09 Oct 2015 19:16:31 +0200

kpeople (5.15.0-0ubuntu2) UNRELEASED; urgency=medium

  * Vivid backport. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 08 Oct 2015 23:54:01 -0700

kpeople (5.14.0-1) unstable; urgency=medium

  * New upstream release (5.14.0).

 -- Maximiliano Curia <maxy@debian.org>  Tue, 15 Sep 2015 13:49:19 +0200

kpeople (5.13.0-1) unstable; urgency=medium

  * New upstream release (5.13.0).

 -- Maximiliano Curia <maxy@debian.org>  Sun, 30 Aug 2015 23:38:34 +0200

kpeople (5.12.0-1) unstable; urgency=medium

  * New upstream release (5.12.0).
  * Really add the kpeople2 breaks/replaces (Closes: #782108)

 -- Maximiliano Curia <maxy@debian.org>  Thu, 09 Jul 2015 12:43:43 +0200

=== debian/control ===
--- 
+++ 
@@ -6,18 +6,17 @@
 Build-Depends: cmake (>= 2.8.12~),
                dbus-x11,
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.15.0~),
-               libkf5coreaddons-dev (>= 5.15.0~),
-               libkf5i18n-dev (>= 5.15.0~),
-               libkf5itemviews-dev (>= 5.15.0~),
-               libkf5service-dev (>= 5.15.0~),
-               libkf5widgetsaddons-dev (>= 5.15.0~),
+               extra-cmake-modules (>= 5.18.0~),
+               libkf5coreaddons-dev (>= 5.18.0~),
+               libkf5i18n-dev (>= 5.18.0~),
+               libkf5itemviews-dev (>= 5.18.0~),
+               libkf5service-dev (>= 5.18.0~),
+               libkf5widgetsaddons-dev (>= 5.18.0~),
                libqt5sql5-sqlite,
                pkg-kde-tools (>> 0.15.15),
                qtbase5-dev (>= 5.4),
                qtdeclarative5-dev (>= 5.4)
 Standards-Version: 3.9.6
-XS-Testsuite: autopkgtest
 Homepage: https://projects.kde.org/projects/frameworks/kpeople
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/frameworks/kpeople.git
 Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/kpeople.git
@@ -44,6 +43,8 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Breaks: libkpeople3
+Replaces: libkpeople3
 Description: data files for kpeople
  KPeople offers unified access to our contacts from different sources, grouping
  them by person while still exposing all the data.

=== debian/rules ===
--- 
+++ 
@@ -5,4 +5,6 @@
 override_dh_strip:
 	$(overridden_command) --dbg-package=libkf5people-dbg
 
-.PHONY: override_dh_auto_test
+override_dh_auto_test:
+	# Disable auto test at build time, fakeroot breaks them
+	:

=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@, build-essential,
         dbus-x11
Restrictions: build-needed

# Tests: acc
# Depends: @, dh-acc, exuberant-ctags

## kpeople 5.26.0

=== debian/changelog ===
kpeople (5.26.0-0ubuntu1) yakkety; urgency=low

  * New upstream release (5.26.0)

 -- Rik Mills <rik.mills88@gmail.com>  Thu, 22 Sep 2016 13:48:30 +0100

kpeople (5.24.0-0ubuntu1) yakkety; urgency=medium

  * New upstream release (5.24.0)

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 26 Jul 2016 08:45:04 +0000

kpeople (5.23.0-0ubuntu1) yakkety; urgency=medium

  * New upstream release (5.23.0)

 -- Clive Johnston <clivejo@kubuntu.org>  Mon, 11 Jul 2016 22:16:07 +0200

kpeople (5.22.0-0ubuntu1) yakkety; urgency=medium

  [ Scarlett Clark ]
  * New upstream release. 
  * Debian merge: No remaining changes. 

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Clive Johnston ]
  * New upstream release

 -- Clive Johnston <clivejo@kubuntu.org>  Tue, 17 May 2016 16:34:32 -0700

kpeople (5.19.0-1) experimental; urgency=medium

  * New upstream release (5.19.0).

 -- Maximiliano Curia <maxy@debian.org>  Sat, 13 Feb 2016 15:16:19 +0100

kpeople (5.18.0-1) experimental; urgency=medium

  * New upstream release (5.17.0).
  * New upstream release (5.18.0).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 27 Jan 2016 13:34:06 +0100

=== debian/control ===
--- 
+++ 
@@ -6,20 +6,20 @@
 Build-Depends: cmake (>= 2.8.12~),
                dbus-x11,
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.18.0~),
-               libkf5coreaddons-dev (>= 5.18.0~),
-               libkf5i18n-dev (>= 5.18.0~),
-               libkf5itemviews-dev (>= 5.18.0~),
-               libkf5service-dev (>= 5.18.0~),
-               libkf5widgetsaddons-dev (>= 5.18.0~),
+               extra-cmake-modules (>= 5.26.0~),
+               libkf5coreaddons-dev (>= 5.26.0~),
+               libkf5i18n-dev (>= 5.26.0~),
+               libkf5itemviews-dev (>= 5.26.0~),
+               libkf5service-dev (>= 5.26.0~),
+               libkf5widgetsaddons-dev (>= 5.26.0~),
                libqt5sql5-sqlite,
                pkg-kde-tools (>> 0.15.15),
                qtbase5-dev (>= 5.4),
                qtdeclarative5-dev (>= 5.4)
 Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/frameworks/kpeople
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/frameworks/kpeople.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/kpeople.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kpeople
+Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kpeople
 
 Package: libkf5people-dev
 Section: libdevel
@@ -115,18 +115,3 @@
  provided in user interfaces by providing QML and Qt Widgets components.
  .
  This package is part of KDE Frameworks 5.
-
-Package: libkf5people-dbg
-Section: debug
-Priority: extra
-Architecture: any
-Multi-Arch: same
-Depends: libkf5people5 (= ${binary:Version}), ${misc:Depends}
-Description: debug symbols for kpeople
- KPeople offers unified access to our contacts from different sources, grouping
- them by person while still exposing all the data.
- .
- Furthermore, KPeople will also provide facilities to integrate the data
- provided in user interfaces by providing QML and Qt Widgets components.
- .
- This package contains the debug symbols.

=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@, build-essential,
         dbus-x11, xvfb, xauth
Restrictions: build-needed

# Tests: acc
# Depends: @, dh-acc, exuberant-ctags

## kpeople 5.28.0

=== debian/changelog ===
kpeople (5.28.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * New upstream release (5.28)

 -- Maximiliano Curia <maxy@debian.org>  Fri, 18 Nov 2016 16:05:24 +0100

kpeople (5.27.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * New upstream release (5.27)

 -- Maximiliano Curia <maxy@debian.org>  Sat, 15 Oct 2016 17:04:27 +0200

kpeople (5.26.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * Replace dbus-launch with dbus-run-session in tests

 -- Maximiliano Curia <maxy@debian.org>  Thu, 29 Sep 2016 12:01:09 +0200

kpeople (5.25.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

 -- Maximiliano Curia <maxy@debian.org>  Sat, 20 Aug 2016 09:58:52 +0200

kpeople (5.23.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

 -- Maximiliano Curia <maxy@debian.org>  Sun, 19 Jun 2016 18:45:02 +0200

kpeople (5.22.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake
  * Refresh patches

 -- Maximiliano Curia <maxy@debian.org>  Thu, 19 May 2016 17:19:52 +0200

kpeople (5.21.0-1) experimental; urgency=medium

  [ Maximiliano Curia ]
  * Replace the "Historical name" ddeb-migration by its "Modern, clearer" replacement dbgsym-migration.
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields
  * Drop qt5-qmltooling-plugins build dependency
  * Update acc test script

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake
  * Bump Standards-Version to 3.9.8

 -- Maximiliano Curia <maxy@debian.org>  Tue, 10 May 2016 15:20:09 +0200

=== debian/control ===
--- 
+++ 
@@ -6,20 +6,20 @@
 Build-Depends: cmake (>= 2.8.12~),
                dbus-x11,
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.26.0~),
-               libkf5coreaddons-dev (>= 5.26.0~),
-               libkf5i18n-dev (>= 5.26.0~),
-               libkf5itemviews-dev (>= 5.26.0~),
-               libkf5service-dev (>= 5.26.0~),
-               libkf5widgetsaddons-dev (>= 5.26.0~),
+               extra-cmake-modules (>= 5.28.0~),
+               libkf5coreaddons-dev (>= 5.28.0~),
+               libkf5i18n-dev (>= 5.28.0~),
+               libkf5itemviews-dev (>= 5.28.0~),
+               libkf5service-dev (>= 5.28.0~),
+               libkf5widgetsaddons-dev (>= 5.28.0~),
                libqt5sql5-sqlite,
                pkg-kde-tools (>> 0.15.15),
-               qtbase5-dev (>= 5.4),
-               qtdeclarative5-dev (>= 5.4)
-Standards-Version: 3.9.6
+               qtbase5-dev (>= 5.5.0~),
+               qtdeclarative5-dev (>= 5.5.0~)
+Standards-Version: 3.9.8
 Homepage: https://projects.kde.org/projects/frameworks/kpeople
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kpeople
-Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kpeople
+Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/frameworks/kpeople.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-kde/frameworks/kpeople.git
 
 Package: libkf5people-dev
 Section: libdevel

## kpeople 5.31.0

=== debian/changelog ===
kpeople (5.31.0-0ubuntu1) zesty; urgency=low

  * New upstream release (5.31.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 14 Feb 2017 22:52:32 +0000

kpeople (5.30.0-0ubuntu1) zesty; urgency=low

  * New upstream release (5.30.0)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 01 Feb 2017 18:36:23 +0000

kpeople (5.28.0-0ubuntu1) zesty; urgency=low

  [ Rik Mills ]
  * New upstream release (5.27.0)

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git field to use https:// instead of git://
  * New upstream release (5.28.0)

  [ Simon Quigley ]
  * Merge from Debian

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 05 Dec 2016 20:18:45 +0000

=== debian/control ===
--- 
+++ 
@@ -6,24 +6,24 @@
 Build-Depends: cmake (>= 2.8.12~),
                dbus-x11,
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.28.0~),
-               libkf5coreaddons-dev (>= 5.28.0~),
-               libkf5i18n-dev (>= 5.28.0~),
-               libkf5itemviews-dev (>= 5.28.0~),
-               libkf5service-dev (>= 5.28.0~),
-               libkf5widgetsaddons-dev (>= 5.28.0~),
-               libqt5sql5-sqlite,
+               extra-cmake-modules (>= 5.31.0~),
+               libkf5coreaddons-dev (>= 5.31.0~),
+               libkf5i18n-dev (>= 5.31.0~),
+               libkf5itemviews-dev (>= 5.31.0~),
+               libkf5service-dev (>= 5.31.0~),
+               libkf5widgetsaddons-dev (>= 5.31.0~),
+               libqt5sql5-sqlite (>= 5.6.1~),
                pkg-kde-tools (>> 0.15.15),
-               qtbase5-dev (>= 5.5.0~),
-               qtdeclarative5-dev (>= 5.5.0~)
+               qtbase5-dev (>= 5.6.1~),
+               qtdeclarative5-dev (>= 5.6.1~)
 Standards-Version: 3.9.8
 Homepage: https://projects.kde.org/projects/frameworks/kpeople
-Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/frameworks/kpeople.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-kde/frameworks/kpeople.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kpeople
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kpeople
 
 Package: libkf5people-dev
+Architecture: any
 Section: libdevel
-Architecture: any
 Depends: libkf5people5 (= ${binary:Version}),
          libkf5peoplebackend5 (= ${binary:Version}),
          libkf5peoplewidgets5 (= ${binary:Version}),

## kpeople 5.38.0

=== debian/changelog ===
kpeople (5.38.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.38.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 11 Sep 2017 13:16:39 +0100

kpeople (5.37.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.37.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 12 Aug 2017 18:49:49 +0100

kpeople (5.36.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.36.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 11 Jul 2017 23:54:21 +0100

kpeople (5.35.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.35.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 12 Jun 2017 22:59:51 +0100

kpeople (5.34.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.34.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 15 May 2017 21:27:44 +0100

kpeople (5.33.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.33.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 29 Apr 2017 18:07:31 +0100

=== debian/control ===
--- 
+++ 
@@ -6,12 +6,12 @@
 Build-Depends: cmake (>= 2.8.12~),
                dbus-x11,
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.31.0~),
-               libkf5coreaddons-dev (>= 5.31.0~),
-               libkf5i18n-dev (>= 5.31.0~),
-               libkf5itemviews-dev (>= 5.31.0~),
-               libkf5service-dev (>= 5.31.0~),
-               libkf5widgetsaddons-dev (>= 5.31.0~),
+               extra-cmake-modules (>= 5.38.0~),
+               libkf5coreaddons-dev (>= 5.38.0~),
+               libkf5i18n-dev (>= 5.38.0~),
+               libkf5itemviews-dev (>= 5.38.0~),
+               libkf5service-dev (>= 5.38.0~),
+               libkf5widgetsaddons-dev (>= 5.38.0~),
                libqt5sql5-sqlite (>= 5.6.1~),
                pkg-kde-tools (>> 0.15.15),
                qtbase5-dev (>= 5.6.1~),

## kpeople 5.44.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)

set(KF5_VERSION "5.44.0") # handled by release scripts
set(KF5_DEP_VERSION "5.44.0") # handled by release scripts
project (KPeople VERSION ${KF5_VERSION})

include(FeatureSummary)
find_package(ECM 5.44.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://projects.kde.org/projects/kdesupport/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

set(REQUIRED_QT_VERSION 5.7.0)

find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Gui Sql DBus Widgets Qml)

find_package(KF5CoreAddons ${KF5_DEP_VERSION} CONFIG REQUIRED)
find_package(KF5WidgetsAddons ${KF5_DEP_VERSION} CONFIG REQUIRED)
find_package(KF5I18n ${KF5_DEP_VERSION} CONFIG REQUIRED)
find_package(KF5ItemViews ${KF5_DEP_VERSION} CONFIG REQUIRED)
find_package(KF5Service ${KF5_DEP_VERSION} CONFIG REQUIRED)

include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMSetupVersion)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(ECMAddTests)
include(ECMAddQch)
include(CMakePackageConfigHelpers)
include(ECMGeneratePriFile)
include(GenerateExportHeader)

include(KDEInstallDirs)
include(KDECMakeSettings)

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

add_definitions(-DTRANSLATION_DOMAIN=\"kpeople5\")

set(CMAKECONFIG_INSTALL_DIR "${CMAKECONFIG_INSTALL_PREFIX}/KF5People")

ecm_setup_version(PROJECT VARIABLE_PREFIX KPEOPLE
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kpeople_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5PeopleConfigVersion.cmake"
                        SOVERSION 5)

option(ENABLE_EXAMPLES "Build the examples" "ON")

if (IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/po")
    ki18n_install(po)
endif ()
add_subdirectory (src)
add_subdirectory (pixmaps)
if (ENABLE_EXAMPLES)
  add_subdirectory(examples)
endif()
add_subdirectory(autotests)

if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KF5People_QCH
        FILE KF5PeopleQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF5PeopleQchTargets.cmake\")")
endif()

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF5PeopleConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5PeopleConfig.cmake"
  INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
)

install(EXPORT KPeopleTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KPeopleTargets.cmake NAMESPACE KF5::)
install(FILES  "${CMAKE_CURRENT_BINARY_DIR}/KF5PeopleConfig.cmake"
               "${CMAKE_CURRENT_BINARY_DIR}/KF5PeopleConfigVersion.cmake"
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel )

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== examples/CMakeLists.txt ===
add_executable(contactlistwidgets contactlistwidgets.cpp)
target_link_libraries(contactlistwidgets Qt5::Core Qt5::Widgets KF5::People)

find_package(Qt5Quick)
if (Qt5Quick_FOUND)
    qt5_add_resources(contactlistqml_SRCS contactlistqml.qrc)
    add_executable(contactlistqml contactlistqml.cpp ${contactlistqml_SRCS})
    target_link_libraries(contactlistqml Qt5::Quick)
endif()

add_executable(personwidget personwidget.cpp)
target_link_libraries(personwidget Qt5::Core Qt5::Widgets KF5::People KF5::PeopleWidgets)


# add_executable(loadcontact loadcontact.cpp)
# target_link_libraries(loadcontact Qt5::Core Qt5::Gui KF5::People)

add_executable(duplicates duplicates.cpp)
target_link_libraries(duplicates KF5::People KF5::CoreAddons KF5::PeopleBackend)

add_executable(duplicatesdialog duplicatesdialog.cpp)
target_link_libraries(duplicatesdialog KF5::PeopleWidgets Qt5::Widgets)

=== src/declarative/CMakeLists.txt ===
add_library(KF5PeopleDeclarative SHARED
                    declarativepersondata.cpp
                    personactionsmodel.cpp
                    peopleqmlplugin.cpp)

target_link_libraries(KF5PeopleDeclarative
    Qt5::Qml
    KF5::PeopleWidgets # QAction
)

install(TARGETS KF5PeopleDeclarative DESTINATION ${QML_INSTALL_DIR}/org/kde/people)
install(FILES qmldir DESTINATION ${QML_INSTALL_DIR}/org/kde/people)

=== debian/changelog ===
kpeople (5.44.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.44.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 12 Mar 2018 19:58:45 +0000

kpeople (5.43.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.43.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 11 Feb 2018 11:16:16 +0000

kpeople (5.42.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.42.0)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 26 Jan 2018 22:22:32 +0000

kpeople (5.41.0-0ubuntu1) bionic; urgency=low

  * New upstream release (5.41.0)

 -- Walter Lapchynski <wxl@ubuntu.com>  Sun, 10 Dec 2017 22:07:15 -0600

kpeople (5.40.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.39.0)
  * New upstream release (5.40.0)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 24 Nov 2017 17:17:24 +0000

=== debian/control ===
--- 
+++ 
@@ -6,12 +6,12 @@
 Build-Depends: cmake (>= 2.8.12~),
                dbus-x11,
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.38.0~),
-               libkf5coreaddons-dev (>= 5.38.0~),
-               libkf5i18n-dev (>= 5.38.0~),
-               libkf5itemviews-dev (>= 5.38.0~),
-               libkf5service-dev (>= 5.38.0~),
-               libkf5widgetsaddons-dev (>= 5.38.0~),
+               extra-cmake-modules (>= 5.44.0~),
+               libkf5coreaddons-dev (>= 5.44.0~),
+               libkf5i18n-dev (>= 5.44.0~),
+               libkf5itemviews-dev (>= 5.44.0~),
+               libkf5service-dev (>= 5.44.0~),
+               libkf5widgetsaddons-dev (>= 5.44.0~),
                libqt5sql5-sqlite (>= 5.6.1~),
                pkg-kde-tools (>> 0.15.15),
                qtbase5-dev (>= 5.6.1~),
@@ -20,6 +20,23 @@
 Homepage: https://projects.kde.org/projects/frameworks/kpeople
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kpeople
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kpeople
+
+Package: libkf5people-data
+Architecture: all
+Multi-Arch: foreign
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Breaks: libkpeople3
+Replaces: libkpeople3
+Description: data files for kpeople
+ KPeople offers unified access to our contacts from different sources, grouping
+ them by person while still exposing all the data.
+ .
+ Furthermore, KPeople will also provide facilities to integrate the data
+ provided in user interfaces by providing QML and Qt Widgets components.
+ .
+ This package is part of KDE Frameworks 5.
+ .
+ This package contains the data files.
 
 Package: libkf5people-dev
 Architecture: any
@@ -39,13 +56,13 @@
  .
  This package contains the development files.
 
-Package: libkf5people-data
-Architecture: all
-Multi-Arch: foreign
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Breaks: libkpeople3
-Replaces: libkpeople3
-Description: data files for kpeople
+Package: libkf5people5
+Architecture: any
+Multi-Arch: same
+Depends: libkf5people-data (= ${source:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends},
+Description: framework providing unified access to contacts aggregated by person
  KPeople offers unified access to our contacts from different sources, grouping
  them by person while still exposing all the data.
  .
@@ -53,15 +70,13 @@
  provided in user interfaces by providing QML and Qt Widgets components.
  .
  This package is part of KDE Frameworks 5.
- .
- This package contains the data files.
 
 Package: libkf5peoplebackend5
 Architecture: any
 Multi-Arch: same
 Depends: libkf5people-data (= ${source:Version}),
          ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
 Description: framework providing unified access to contacts aggregated by person
  KPeople offers unified access to our contacts from different sources, grouping
  them by person while still exposing all the data.
@@ -76,7 +91,7 @@
 Multi-Arch: same
 Depends: libkf5people-data (= ${source:Version}),
          ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
 Description: framework providing unified access to contacts aggregated by person
  KPeople offers unified access to our contacts from different sources, grouping
  them by person while still exposing all the data.
@@ -100,18 +115,3 @@
  This package is part of KDE Frameworks 5.
  .
  This package contains the QML module.
-
-Package: libkf5people5
-Architecture: any
-Multi-Arch: same
-Depends: libkf5people-data (= ${source:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
-Description: framework providing unified access to contacts aggregated by person
- KPeople offers unified access to our contacts from different sources, grouping
- them by person while still exposing all the data.
- .
- Furthermore, KPeople will also provide facilities to integrate the data
- provided in user interfaces by providing QML and Qt Widgets components.
- .
- This package is part of KDE Frameworks 5.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbgsym-migration='libkf5people-dbg (<= 5.19.0-1~~)'

override_dh_auto_test:
	# Disable auto test at build time, fakeroot breaks them
	:

=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@, build-essential,
         dbus (>= 1.8), xvfb, xauth
Restrictions: build-needed

# Tests: acc
# Depends: @, dh-acc, exuberant-ctags

=== debian/watch ===
version=3
http://download.kde.org/stable/frameworks/([\d.]+)/kpeople-([\d.]+)\.tar\.xz

## kpeople 5.50.0

=== debian/changelog ===
kpeople (5.50.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.50.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 10 Sep 2018 22:14:45 +0100

kpeople (5.49.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.48.0)
  * New upstream release (5.49.0)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 21 Aug 2018 20:31:00 +0100

kpeople (5.47.0-0ubuntu1) cosmic; urgency=medium

  [ Rik Mills ]
  * New upstream release (5.47.0)
  * Merge with debian, notes:
    - keep using dhmk and debhelper compat level = 9, see:
      https://phabricator.kde.org/w/kubuntu/black-operations/pyramid/

  [ José Manuel Santamaría Lema ]
  * Add lintian override for libkf5people-doc: description-too-long

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 14 Jun 2018 15:50:08 +0100

kpeople (5.46.0-1) unstable; urgency=medium

  * New upstream release (5.46.0).
  * Update build-deps and deps with the info from cmake
  * Bump Standards-Version to 4.1.4.
  * Use https for the debian/copyright
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 17 May 2018 22:15:24 +0200

kpeople (5.46.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.45.0)
  * New upstream release (5.46.0)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 15 May 2018 15:57:17 +0100

kpeople (5.45.0-1) unstable; urgency=medium

  * New upstream release (5.45.0).
  * Update build-deps and deps with the info from cmake
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Sat, 05 May 2018 08:10:49 +0200

kpeople (5.44.0-1) sid; urgency=medium

  * New upstream release (5.44.0).
  * Update build-deps and deps with the info from cmake
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Wed, 21 Mar 2018 14:41:09 +0100

kpeople (5.43.0-1) experimental; urgency=medium

  * Use the salsa canonical urls
  * New upstream release (5.43.0).
  * Update build-deps and deps with the info from cmake
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Mon, 26 Feb 2018 11:43:58 +0100

kpeople (5.42.0-2) sid; urgency=medium

  * New revision
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Sat, 10 Feb 2018 11:29:06 +0100

kpeople (5.42.0-1) experimental; urgency=medium

  * New upstream release (5.42.0).
  * Add link options as-needed
  * Bump debhelper build-dep and compat to 11.
  * Build without build_stamp
  * Update build-deps and deps with the info from cmake
  * Bump Standards-Version to 4.1.3.
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Fri, 02 Feb 2018 12:05:42 +0100

kpeople (5.41.0-1) experimental; urgency=medium

  * New upstream release (5.41.0).
  * Bump Standards-Version to 4.1.2.
  * Update build-deps and deps with the info from cmake
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Fri, 15 Dec 2017 10:42:59 -0300

kpeople (5.41.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 08 Dec 2017 14:47:49 +0000

kpeople (5.40.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Nov 2017 20:12:24 +0000

kpeople (5.39.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 15 Oct 2017 11:44:10 +0000

kpeople (5.38.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 11 Sep 2017 13:28:24 +0000

kpeople (5.37.0-2) sid; urgency=medium

  * New revision
  * Bump Standards-Version to 4.1.0.
  * Update upstream metadata
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Sun, 03 Sep 2017 09:58:39 +0200

kpeople (5.37.0-1) experimental; urgency=medium

  * New upstream release (5.37.0).
  * Update build-deps and deps with the info from cmake
  * Add a libkf5people-doc package for the qch files
  * Bump Standards-Version to 4.0.1.
  * Set section for the doc package
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Wed, 16 Aug 2017 10:43:17 +0200

kpeople (5.37.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Aug 2017 15:14:55 +0000

kpeople (5.36.0-1) experimental; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (5.35.0).
  * Bump Standards-Version to 4.0.0.
  * Update build-deps and deps with the info from cmake
  * watch: Use https uris
  * New upstream release (5.36.0).
  * Update build-deps and deps with the info from cmake

  [ Raymond Wooninck ]
  * Add signing key
  * also include signing-key

  [ Jonathan Riddell ]
  * lintcmake

 -- Maximiliano Curia <maxy@debian.org>  Sun, 09 Jul 2017 23:42:11 +0200

kpeople (5.36.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 10 Jul 2017 17:13:58 +0000

kpeople (5.35.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 11 Jun 2017 20:37:47 +0000

kpeople (5.34.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 14 May 2017 17:39:50 +0000

kpeople (5.33.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Apr 2017 16:24:16 +0000

kpeople (5.32.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 12 Mar 2017 13:23:11 +0000

kpeople (5.31.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 13 Feb 2017 14:38:34 +0000

kpeople (5.30.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 16 Jan 2017 13:42:03 +0000

kpeople (5.29.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 09 Dec 2016 19:08:53 +0000

kpeople (5.28.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Nov 2016 09:45:55 +0000

kpeople (5.27.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 08 Oct 2016 11:31:59 +0000

kpeople (5.26.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Sep 2016 08:32:23 +0000

kpeople (5.25.0-0neon) xenial; urgency=medium

  * New release



=== debian/control ===
--- 
+++ 
@@ -3,20 +3,23 @@
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake (>= 2.8.12~),
+Build-Depends: cmake (>= 3.0~),
                dbus-x11,
-               debhelper (>= 9),
-               extra-cmake-modules (>= 5.44.0~),
-               libkf5coreaddons-dev (>= 5.44.0~),
-               libkf5i18n-dev (>= 5.44.0~),
-               libkf5itemviews-dev (>= 5.44.0~),
-               libkf5service-dev (>= 5.44.0~),
-               libkf5widgetsaddons-dev (>= 5.44.0~),
+               debhelper (>= 11~),
+               doxygen,
+               extra-cmake-modules (>= 5.50.0~),
+               graphviz,
+               libkf5coreaddons-dev (>= 5.50.0~),
+               libkf5i18n-dev (>= 5.50.0~),
+               libkf5itemviews-dev (>= 5.50.0~),
+               libkf5service-dev (>= 5.50.0~),
+               libkf5widgetsaddons-dev (>= 5.50.0~),
                libqt5sql5-sqlite (>= 5.6.1~),
                pkg-kde-tools (>> 0.15.15),
-               qtbase5-dev (>= 5.6.1~),
-               qtdeclarative5-dev (>= 5.6.1~)
-Standards-Version: 3.9.8
+               qtbase5-dev (>= 5.8.0~),
+               qtdeclarative5-dev (>= 5.8.0~),
+               qttools5-dev-tools (>= 5.4),
+Standards-Version: 4.1.4
 Homepage: https://projects.kde.org/projects/frameworks/kpeople
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kpeople
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kpeople
@@ -44,7 +47,9 @@
 Depends: libkf5people5 (= ${binary:Version}),
          libkf5peoplebackend5 (= ${binary:Version}),
          libkf5peoplewidgets5 (= ${binary:Version}),
-         ${misc:Depends}
+         qtbase5-dev (>= 5.8.0~),
+         ${misc:Depends},
+Recommends: libkf5people-doc (= ${source:Version})
 Description: development files for kpeople
  KPeople offers unified access to our contacts from different sources, grouping
  them by person while still exposing all the data.
@@ -70,6 +75,22 @@
  provided in user interfaces by providing QML and Qt Widgets components.
  .
  This package is part of KDE Frameworks 5.
+
+Package: libkf5people-doc
+Architecture: all
+Multi-Arch: foreign
+Section: doc
+Depends: ${misc:Depends}
+Description: framework providing unified access to contacts aggregated by person (documentation)
+ KPeople offers unified access to our contacts from different sources, grouping
+ them by person while still exposing all the data.
+ .
+ Furthermore, KPeople will also provide facilities to integrate the data
+ provided in user interfaces by providing QML and Qt Widgets components.
+ .
+ This package is part of KDE Frameworks 5.
+ .
+ This package contains the qch documentation files.
 
 Package: libkf5peoplebackend5
 Architecture: any
